cURL
curl --request PATCH \
--url https://api.example.com/v2/fleets/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"is_active": true,
"regions": "<string>",
"customer_info": {
"service_types": "<string>",
"email": "jsmith@example.com",
"ext_client_id": "<string>",
"ext_billing_id": "<string>",
"notes": "<string>"
},
"client": "<string>"
}
'import requests
url = "https://api.example.com/v2/fleets/{id}/"
payload = {
"title": "<string>",
"is_active": True,
"regions": "<string>",
"customer_info": {
"service_types": "<string>",
"email": "jsmith@example.com",
"ext_client_id": "<string>",
"ext_billing_id": "<string>",
"notes": "<string>"
},
"client": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
is_active: true,
regions: '<string>',
customer_info: {
service_types: '<string>',
email: 'jsmith@example.com',
ext_client_id: '<string>',
ext_billing_id: '<string>',
notes: '<string>'
},
client: '<string>'
})
};
fetch('https://api.example.com/v2/fleets/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"region_details": [
{
"id": 123,
"title": "<string>"
}
],
"title": "<string>",
"is_active": true,
"warning_threshold_per_vehicle": "<string>",
"deactivation_threshold_per_vehicle": "<string>",
"client": "<string>",
"onboarding_vehicle_order": 123
}Fleet
Patch Fleet
Partially update a fleet by ID.
PATCH
/
v2
/
fleets
/
{id}
/
cURL
Authorizations
JWTAPIKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique integer value identifying this Fleet.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
255Show child attributes
Show child attributes
INITIAL- InitialFLEET_NAMED- Fleet NamedVEHICLES_ADDED- Vehicles AddedCOMPLETED- Completed
Available options:
INITIAL, FLEET_NAMED, VEHICLES_ADDED, COMPLETED Maximum string length:
100Response
200 - application/json
Show child attributes
Show child attributes
Maximum string length:
255PREPAID- prepaidPOSTPAID- postpaid
Available options:
PREPAID, POSTPAID INITIAL- InitialFLEET_NAMED- Fleet NamedVEHICLES_ADDED- Vehicles AddedCOMPLETED- Completed
Available options:
INITIAL, FLEET_NAMED, VEHICLES_ADDED, COMPLETED Pattern:
^-?\d{0,5}(?:\.\d{0,2})?$Pattern:
^-?\d{0,5}(?:\.\d{0,2})?$Maximum string length:
100Was this page helpful?
⌘I

